# Apache Tomcat 6.0

Version 6.0.39, Oct 17 2018

Links

- Docs Home
- Config Ref. Home

Top Level Elements

- Server
- Service

Executors

- Executor

Connectors

- HTTP
- AJP

Containers

- Context
- Engine
- Host
- Cluster

Nested Components

- Global Resources
- Listeners
- Loader
- Manager
- Realm
- Resources
- Valve

Cluster Elements

- Cluster
- Manager
- Channel
- Channel/Membership
- Channel/Sender
- Channel/Receiver
- Channel/Interceptor
- Valve
- Deployer
- ClusterListener

Other

- Filter
- System properties

# Apache Tomcat Configuration Reference

## The Server Component

Table of Contents

> - Introduction
> - Attributes
>   1. Common Attributes
>   2. Standard Implementation
> - Nested Components
> - Special Features

Introduction

> A Server element represents the entire Catalina servlet container. Therefore, it must be the single outermost element in the `conf/server.xml` configuration file. Its attributes represent the characteristics of the servlet container as a whole.

Attributes

> Common Attributes

> > All implementations of Server support the following attributes:

> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.catalina.Server` interface. If no class name is specified, the standard implementation will be used.

> > `port`

> > The TCP/IP port number on which this server waits for a shutdown command. This connection must be initiated from the same server computer that is running this instance of Tomcat. Set to `-1` to disable the shutdown port.

> > Note: Disabling the shutdown port works well when Tomcat is started using Apache Commons Daemon (running as a service on Windows or with jsvc on un*xes). It cannot be used when running Tomcat with the standard shell scripts though, as it will prevent shutdown.bat|.sh and catalina.bat|.sh from stopping it gracefully.

> > `shutdown` | The command string that must be received via a TCP/IP connection to the specified port number, in order to shut down Tomcat.

> Standard Implementation

> > The standard implementation of Server is org.apache.catalina.core.StandardServer. It supports the following additional attributes (in addition to the common attributes listed above):

> > Attribute | Description
> > --- | ---

Nested Components

> The following components may be nested inside a Server element:

> - Service - One or more service element.
> - GlobalNamingResources - Configure the JNDI global resources for the server.

Special Features

> There are no special features associated with a Server.

Copyright © 1999-2018, Apache Software Foundation